---
updatedAt: 2026-05-27T16:58:05.000Z
agentTools:
  projectIndex: https://developer.readyremit.com/llms.txt
---

# Get Countries and Currencies

The `GET /countries-and-currencies` endpoint retrieves the list of countries and their respective currencies for which the app owner has established corridors.
Each record includes a country object and an array of currency objects. The app can present these records to the end-user who can choose a recipient country and currency. The process of establishing
a corridor involves the app owner, bank, remittance provider, and ReadyRemit.

**Implementation Guide:**
- This endpoint returns a list of countries and their currencies that are available for transfers.
- Use this endpoint to dynamically populate country and currency selection fields in your application.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "ReadyRemit Transfer API",
    "description": "See [ReadyRemit Developer Portal](https://developer.readyremit.com/).\n",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-api.readyremit.com/v1"
    },
    {
      "url": "https://api.readyremit.com/v1"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Helpers"
    }
  ],
  "paths": {
    "/countries-and-currencies": {
      "get": {
        "tags": [
          "Helpers"
        ],
        "summary": "Get Countries and Currencies",
        "description": "The `GET /countries-and-currencies` endpoint retrieves the list of countries and their respective currencies for which the app owner has established corridors.\nEach record includes a country object and an array of currency objects. The app can present these records to the end-user who can choose a recipient country and currency. The process of establishing\na corridor involves the app owner, bank, remittance provider, and ReadyRemit.\n\n**Implementation Guide:**\n- This endpoint returns a list of countries and their currencies that are available for transfers.\n- Use this endpoint to dynamically populate country and currency selection fields in your application.\n",
        "operationId": "getCountriesAndCurrencies",
        "responses": {
          "200": {
            "description": "The request was successful, and the response contains a list of countries and their currencies.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/getCountriesAndCurrenciesResponse200"
                  }
                },
                "example": [
                  {
                    "country": {
                      "name": "Germany",
                      "iso3Code": "DEU"
                    },
                    "currencies": [
                      {
                        "name": "Euro",
                        "iso3Code": "EUR",
                        "symbol": "€",
                        "decimalPlaces": 2
                      }
                    ]
                  },
                  {
                    "country": {
                      "name": "India",
                      "iso3Code": "IND"
                    },
                    "currencies": [
                      {
                        "name": "Indian rupee",
                        "iso3Code": "INR",
                        "symbol": "₹",
                        "decimalPlaces": 2
                      }
                    ]
                  }
                ]
              }
            }
          },
          "401": {
            "description": "The request requires user authentication. This response occurs if the authentication token is missing or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/response401"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "codeMsgDescObject": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        }
      },
      "response401": {
        "allOf": [
          {
            "$ref": "#/components/schemas/codeMsgDescObject"
          },
          {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "default": "000",
                "description": "Error code defined by ReadyRemit"
              },
              "message": {
                "type": "string",
                "default": "Something went wrong!",
                "description": "Error message associated with error code"
              },
              "description": {
                "type": "string",
                "default": "Unauthorized"
              }
            }
          }
        ]
      },
      "country": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "iso3Code": {
            "maxLength": 3,
            "minLength": 3,
            "pattern": "^[A-Z]{3}$",
            "type": "string"
          }
        }
      },
      "currency": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "iso3Code": {
            "maxLength": 3,
            "minLength": 3,
            "pattern": "^[A-Z]{3}$",
            "type": "string"
          },
          "symbol": {
            "maxLength": 3,
            "type": "string"
          },
          "decimalPlaces": {
            "maximum": 3,
            "minimum": 0,
            "type": "integer"
          }
        }
      },
      "getCountriesAndCurrenciesResponse200": {
        "type": "object",
        "properties": {
          "country": {
            "$ref": "#/components/schemas/country"
          },
          "currencies": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/currency"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Bearer token for authentication"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```